]> arthur.barton.de Git - bup.git/blobdiff - t/id-other-than
Configure python, use it, and embed during install
[bup.git] / t / id-other-than
index cfa219d4025fa763173596d586928608e3545d84..2c0370f3697afce22c61bdfeea473b09e6d2a5c6 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
 import grp
 import pwd